Bug 738394 - (CVE-2011-3324) CVE-2011-3324 Quagga (ospf6d): Denial of service by decoding malformed Database Description packet headers
CVE-2011-3324 Quagga (ospf6d): Denial of service by decoding malformed Databa...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20110926,reported=2...
: Security
Depends On: 741343 845163 845526 845528 845529
Blocks: 738408
  Show dependency treegraph
 
Reported: 2011-09-14 13:26 EDT by Jan Lieskovsky
Modified: 2015-11-24 10:08 EST (History)
3 users (show)

See Also:
Fixed In Version: quagga 0.99.19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-13 12:45:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream CVE-2011-3324 patch for Quagga-master branch (1.64 KB, patch)
2011-09-14 13:29 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2011-09-14 13:26:01 EDT
A denial of service flaw was found in the way the ospf6d daemon of the Quagga routing suite processed certain Database Description packets with specially-crafted Link-State-Advertisement (LSA). A configured OSPF peer, could use this flaw to cause the denial of the master OSPF router service (ospf6d termination due to assertion failure) via Database Description packet with trailing zero octets.
Comment 1 Jan Lieskovsky 2011-09-14 13:27:39 EDT
This issue affects the versions of the quagga package, as shipped with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the quagga package, as shipped with Fedora release of 14 and 15.
Comment 3 Jan Lieskovsky 2011-09-14 13:29:12 EDT
Created attachment 523209 [details]
Upstream CVE-2011-3324 patch for Quagga-master branch
Comment 5 Jan Lieskovsky 2011-09-26 11:57:17 EDT
Public now via:
[1] https://www.cert.fi/en/reports/2011/vulnerability539178.html
Comment 6 Jan Lieskovsky 2011-09-26 12:06:41 EDT
Created quagga tracking bugs for this issue

Affects: fedora-all [bug 741343]
Comment 7 Fedora Update System 2011-10-18 18:15:46 EDT
quagga-0.99.20-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-10-18 18:19:58 EDT
quagga-0.99.20-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-10-19 00:39:40 EDT
quagga-0.99.20-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 errata-xmlrpc 2012-09-12 16:05:32 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1259 https://rhn.redhat.com/errata/RHSA-2012-1259.html
Comment 14 errata-xmlrpc 2012-09-12 16:06:17 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1258 https://rhn.redhat.com/errata/RHSA-2012-1258.html
Comment 15 Murray McAllister 2012-09-12 22:51:36 EDT
Acknowledgements:

Red Hat would like to thank CERT-FI for reporting this issue. CERT-FI acknowledges Riku Hietamäki, Tuomo Untinen and Jukka Taimisto of the Codenomicon CROSS project as the original reporters.

Note You need to log in before you can comment on or make changes to this bug.